/*
 * ui.h
 *
 * Created: 03.03.2017 14:23:34
 *  Author: dsosnowski
 */ 


#ifndef UI_H_
#define UI_H_

void UiInit(void);

void UiLed(uint8_t state);

void UiRelay(uint8_t state);
void UiOutputAction(uint8_t action);
void UiOutputManager(void);
uint8_t UiOutputGet(void);
uint8_t UiOutputHoldGet(void);

uint8_t UiButtonProc(void);
uint8_t UiButtonGet(void);

uint8_t UiModeGet(void);
uint8_t UiTimeGet(void);
uint8_t UiConfigGet(void);

void AnalogInit(void);
uint16_t UiRegGet(void);


#define NUM_OF_INPUTS		2
#define BUTTON_CLICK		1 
#define BUTTON_HOLD			16


#endif /* UI_H_ */