/*
 * simple_r.h
 *
 * Created: 2016-09-28 08:58:28
 *  Author: dsosnowski
 */ 


#ifndef SIMPLE_R_H_
#define SIMPLE_R_H_

void SimplerInit(void);
void SimplerTimerStart(void);

char SimplerFramePrepare(char address, char command);
void SimplerTransmitRun(char run);
char SimplerTransmitCheck(void);

char SimplerReceiveCheck(void);
char SimplerReceiveLength(void);
char SimplerDecode(void);
void SimplerReceiveClear(void);

char *SimplerBufferPt(char index);
char SimplerBufferGet(char index);

char SimplerBufferView(void);
char RadioDataGet(char i);
void RadioDataView(void);

#define OUTPUTS_ADDRESS		55
#define OUT1_COMMAND		12
#define OUT2_COMMAND		54
#define OUT3_COMMAND		121
#define OUT4_COMMAND		208

#endif /* SIMPLE_R_H_ */